/**
 * ActRelationshipReason.java
 *
 * File generated from the medication::ActRelationshipReason uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipReason.
 *
 * 
 */

@XmlType(name = "ActRelationshipReason")
@XmlEnum
@XmlRootElement(name = "ActRelationshipReason")
public enum ActRelationshipReason {
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("MITGT")
	MITGT("MITGT");
	
	private final String value;

    ActRelationshipReason(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipReason fromValue(String v) {
        for (ActRelationshipReason c: ActRelationshipReason.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}